package DateTime::Format::Bugzilla;

use strict;
use warnings;

#use base 'DateTime::Format::ISO8601';

our $VERSION = 0.04;

# make sure our format "sticks" -- FIXME

use DateTime::Format::Builder;

DateTime::Format::Builder->create_class(
    parsers => {
        parse_datetime => [
            {
                # [15] YYYYMMDDThhmmss 19850412T101530
                # [17] YYYYMMDDThh:mm:ss 19850412T10:15:30 (among others)
                # [19] YYYY-MM-DDThh:mm:ss 1985-04-12T10:15:30
                length => [ qw( 15 17 19 ) ],
                regex  => qr/^ (\d{4}) -??  (\d\d) -?? (\d\d) T (\d\d) :?? (\d\d) :?? (\d\d) $/x,
                params => [ qw( year month day hour minute second ) ],
                extra  => { time_zone => 'floating' },
            },
        ],
    },
);

sub format_datetime {
    my ($format, $dt) = @_;

    # e.g. 20081008T18:54:10
    return $dt->strftime('%Y%m%dT%T');
}


1;

__END__


see also L<DateTime::Format::XSD> for the inspiration, and
L<DateTime::Format::ISO8601> for other supported parseable formats.

